%define majorver 2.7.0
%define date 20070801
%define mecabver 0.96

%define debug_package %{nil}

Summary:       IPA dictionary for MeCab
Name:          mecab-ipadic
Version:       %{majorver}.%{date}
Release:       6%{?dist}
License:       BSD or LGPLv2+ or GPL+
URL:           https://taku910.github.io/mecab/
Source0:       http://downloads.sourceforge.net/mecab/%{name}-%{majorver}-%{date}.tar.gz
Source1:       terms-and-conditions-for-IFS-J.html

BuildRequires: make
BuildRequires: mecab-devel >= %{mecabver}
Requires:      mecab >= %{mecabver}


%description
MeCab IPA is a dictionary for MeCab using CRF estimation
based on IPA corpus. This dictionary is for UTF-8 use.


%package EUCJP
Summary:   IPA dictionary for Mecab with encoded by EUC-JP
Requires:  mecab >= %{mecabver}

%description EUCJP
MeCab IPA is a dictionary for MeCab using CRF estimation
based on IPA corpus. This dictionary is for EUC-JP use.


%prep
%autosetup -n %{name}-%{majorver}-%{date}


%build
%configure --with-mecab-config=%{_bindir}/mecab-config --with-charset=utf8
%make_build

mkdir UTF-8
cp -p *.bin *.dic *.def dicrc UTF-8/

make clean
%configure --with-mecab-config=%{_bindir}/mecab-config
%make_build


%install
rm -rf %{buildroot}
%make_install
mv %{buildroot}%{_libdir}/mecab/dic/ipadic %{buildroot}%{_libdir}/mecab/dic/ipadic-EUCJP

mv -f UTF-8/* .
%make_install

cp -p %{SOURCE1} LICENSE.jp.html


%post
if test -f %{_sysconfdir}/mecabrc ; then
	sed -i -e 's|^dicdir.*|dicdir = %{_libdir}/mecab/dic/ipadic|' %{_sysconfdir}/mecabrc || :
fi

%post EUCJP
if test -f %{_sysconfdir}/mecabrc ; then
	sed -i -e 's|^dicdir.*|dicdir = %{_libdir}/mecab/dic/ipadic-EUCJP|' %{_sysconfdir}/mecabrc || :
fi

%files
%license COPYING LICENSE.*
%doc README
%{_libdir}/mecab/dic/ipadic/

%files EUCJP
%license COPYING LICENSE.*
%doc README
%{_libdir}/mecab/dic/ipadic-EUCJP/


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.0.20070801-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.0.20070801-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.0.20070801-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.0.20070801-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.0.20070801-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 22 2023 Miaojun Dong <zoedong@tencent.com> - 2.7.0.20070801-1
- initial build
